Index: lemon/bits/alteration_notifier.h
===================================================================
--- lemon/bits/alteration_notifier.h	(revision 230)
+++ lemon/bits/alteration_notifier.h	(revision 236)
@@ -42,5 +42,5 @@
   ///
   /// The graph's node and edge sets can be changed as we add or erase
-  /// nodes and edges in the graph. Lemon would like to handle easily
+  /// nodes and edges in the graph. LEMON would like to handle easily
   /// that the node and edge maps should contain values for all nodes or
   /// edges. If we want to check on every indicing if the map contains
Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 220)
+++ lemon/concepts/path.h	(revision 236)
@@ -78,5 +78,5 @@
       void clear() {}
 
-      /// \brief Lemon style iterator for path arcs
+      /// \brief LEMON style iterator for path arcs
       ///
       /// This class is used to iterate on the arcs of the paths.
@@ -201,5 +201,5 @@
     /// If we would like to give back a real path from these
     /// algorithms then we should create a temporarly path object. In
-    /// Lemon such algorithms gives back a path dumper what can
+    /// LEMON such algorithms gives back a path dumper what can
     /// assigned to a real path and the dumpers can be implemented as
     /// an adaptor class to the predecessor map.
@@ -233,5 +233,5 @@
       typedef False RevPathTag;
 
-      /// \brief Lemon style iterator for path arcs
+      /// \brief LEMON style iterator for path arcs
       ///
       /// This class is used to iterate on the arcs of the paths.
@@ -260,5 +260,5 @@
       };
 
-      /// \brief Lemon style iterator for path arcs
+      /// \brief LEMON style iterator for path arcs
       ///
       /// This class is used to iterate on the arcs of the paths in
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 220)
+++ lemon/lgf_reader.h	(revision 236)
@@ -19,5 +19,5 @@
 ///\ingroup lemon_io
 ///\file
-///\brief \ref lgf-format "Lemon Graph Format" reader.
+///\brief \ref lgf-format "LEMON Graph Format" reader.
 
 
@@ -2302,5 +2302,5 @@
   ///
   /// This class can be used to read the sections, the map names and
-  /// the attributes from a file. Usually, the Lemon programs know
+  /// the attributes from a file. Usually, the LEMON programs know
   /// that, which type of graph, which maps and which attributes
   /// should be read from a file, but in general tools (like glemon)
Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 220)
+++ lemon/lgf_writer.h	(revision 236)
@@ -19,5 +19,5 @@
 ///\ingroup lemon_io
 ///\file
-///\brief \ref lgf-format "Lemon Graph Format" writer.
+///\brief \ref lgf-format "LEMON Graph Format" writer.
 
 
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 235)
+++ lemon/list_graph.h	(revision 234)
@@ -396,7 +396,7 @@
     bool valid(Arc a) const { return Parent::valid(a); }
 
-    /// Change the target of \c a to \c n
-
-    /// Change the target of \c a to \c n
+    /// Change the target of \c e to \c n
+
+    /// Change the target of \c e to \c n
     ///
     ///\note The <tt>ArcIt</tt>s and <tt>OutArcIt</tt>s referencing
@@ -406,19 +406,19 @@
     ///\warning This functionality cannot be used together with the Snapshot
     ///feature.
-    void changeTarget(Arc a, Node n) {
-      Parent::changeTarget(a,n);
-    }
-    /// Change the source of \c a to \c n
-
-    /// Change the source of \c a to \c n
-    ///
-    ///\note The <tt>InArcIt</tt>s referencing the changed arc remain
-    ///valid. However the <tt>ArcIt<tt>s and <tt>OutArcIt</tt>s are
+    void changeTarget(Arc e, Node n) {
+      Parent::changeTarget(e,n);
+    }
+    /// Change the source of \c e to \c n
+
+    /// Change the source of \c e to \c n
+    ///
+    ///\note The <tt>ArcIt</tt>s and <tt>InArcIt</tt>s referencing
+    ///the changed arc remain valid. However <tt>OutArcIt</tt>s are
     ///invalidated.
     ///
     ///\warning This functionality cannot be used together with the Snapshot
     ///feature.
-    void changeSource(Arc a, Node n) {
-      Parent::changeSource(a,n);
+    void changeSource(Arc e, Node n) {
+      Parent::changeSource(e,n);
     }
 
@@ -1115,5 +1115,5 @@
   protected:
 
-    void changeV(Edge e, Node n) {
+    void changeTarget(Edge e, Node n) {
       if(arcs[2 * e.id].next_out != -1) {
         arcs[arcs[2 * e.id].next_out].prev_out = arcs[2 * e.id].prev_out;
@@ -1136,5 +1136,5 @@
     }
 
-    void changeU(Edge e, Node n) {
+    void changeSource(Edge e, Node n) {
       if(arcs[(2 * e.id) | 1].next_out != -1) {
         arcs[arcs[(2 * e.id) | 1].next_out].prev_out =
@@ -1259,30 +1259,64 @@
     /// added to the graph.
     bool valid(Edge e) const { return Parent::valid(e); }
-    /// \brief Change the end \c u of \c e to \c n
-    ///
-    /// This function changes the end \c u of \c e to node \c n.
-    ///
-    ///\note The <tt>EdgeIt</tt>s and <tt>ArcIt</tt>s referencing the
-    ///changed edge are invalidated and if the changed node is the
-    ///base node of an iterator then this iterator is also
-    ///invalidated.
+    /// \brief Change the source of \c e to \c n
+    ///
+    /// This function changes the source of \c e to \c n.
+    ///
+    ///\note The <tt>ArcIt</tt>s and <tt>InArcIt</tt>s
+    ///referencing the changed arc remain
+    ///valid. However <tt>OutArcIt</tt>s are invalidated.
     ///
     ///\warning This functionality cannot be used together with the
     ///Snapshot feature.
-    void changeU(Edge e, Node n) {
-      Parent::changeU(e,n);
-    }
-    /// \brief Change the end \c v of \c e to \c n
-    ///
-    /// This function changes the end \c v of \c e to \c n.
-    ///
-    ///\note The <tt>EdgeIt</tt>s referencing the changed edge remain
-    ///valid, however <tt>ArcIt</tt>s and if the changed node is the
-    ///base node of an iterator then this iterator is invalidated.
+    void changeSource(Edge e, Node n) {
+      Parent::changeSource(e,n);
+    }
+    /// \brief Change the target of \c e to \c n
+    ///
+    /// This function changes the target of \c e to \c n.
+    ///
+    /// \note The <tt>ArcIt</tt>s referencing the changed arc remain
+    /// valid. However the other iterators may be invalidated.
     ///
     ///\warning This functionality cannot be used together with the
     ///Snapshot feature.
-    void changeV(Edge e, Node n) {
-      Parent::changeV(e,n);
+    void changeTarget(Edge e, Node n) {
+      Parent::changeTarget(e,n);
+    }
+    /// \brief Change the source of \c e to \c n
+    ///
+    /// This function changes the source of \c e to \c n.
+    /// It also changes the proper node of the represented edge.
+    ///
+    ///\note The <tt>ArcIt</tt>s and <tt>InArcIt</tt>s
+    ///referencing the changed arc remain
+    ///valid. However <tt>OutArcIt</tt>s are invalidated.
+    ///
+    ///\warning This functionality cannot be used together with the
+    ///Snapshot feature.
+    void changeSource(Arc e, Node n) {
+      if (Parent::direction(e)) {
+        Parent::changeSource(e,n);
+      } else {
+        Parent::changeTarget(e,n);
+      }
+    }
+    /// \brief Change the target of \c e to \c n
+    ///
+    /// This function changes the target of \c e to \c n.
+    /// It also changes the proper node of the represented edge.
+    ///
+    ///\note The <tt>ArcIt</tt>s and <tt>OutArcIt</tt>s
+    ///referencing the changed arc remain
+    ///valid. However <tt>InArcIt</tt>s are invalidated.
+    ///
+    ///\warning This functionality cannot be used together with the
+    ///Snapshot feature.
+    void changeTarget(Arc e, Node n) {
+      if (Parent::direction(e)) {
+        Parent::changeTarget(e,n);
+      } else {
+        Parent::changeSource(e,n);
+      }
     }
     /// \brief Contract two nodes.
@@ -1304,8 +1338,8 @@
         if (r && runningNode(e) == a) {
           erase(e);
-        } else if (u(e) == b) {
-          changeU(e, a);
+        } else if (source(e) == b) {
+          changeSource(e, a);
         } else {
-          changeV(e, a);
+          changeTarget(e, a);
         }
         e = f;
Index: lemon/path.h
===================================================================
--- lemon/path.h	(revision 220)
+++ lemon/path.h	(revision 236)
@@ -83,5 +83,5 @@
     }
 
-    /// \brief Lemon style iterator for path arcs
+    /// \brief LEMON style iterator for path arcs
     ///
     /// This class is used to iterate on the arcs of the paths.
Index: lemon/unionfind.h
===================================================================
--- lemon/unionfind.h	(revision 220)
+++ lemon/unionfind.h	(revision 236)
@@ -498,5 +498,5 @@
     }
 
-    /// \brief Lemon style iterator for the representant items.
+    /// \brief LEMON style iterator for the representant items.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -550,5 +550,5 @@
     };
 
-    /// \brief Lemon style iterator for the items of a component.
+    /// \brief LEMON style iterator for the items of a component.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -808,5 +808,5 @@
     }
 
-    /// \brief Lemon style iterator for the classes.
+    /// \brief LEMON style iterator for the classes.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -860,5 +860,5 @@
     };
 
-    /// \brief Lemon style iterator for the items of a component.
+    /// \brief LEMON style iterator for the items of a component.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -1656,5 +1656,5 @@
     }
 
-    /// \brief Lemon style iterator for the items of a class.
+    /// \brief LEMON style iterator for the items of a class.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
